# Design Docs

This directory contains design documents produced during the development of Nexodus. Our process values:

* **Openness** - Anyone should be able to discover the backlog of ideas, as well as participate in reviews of proposed designs.
* **Design Artifacts** - We value the creation of design artifacts along the way to help others understand how key decisions were made throughout the life of the project.

## Process

We follow a lightweight design process that includes these components:

1. **Backlog** - The backlog of enhancement ideas lives in [GitHub Issues](https://github.com/nexodus-io/nexodus/issues).
2. **Create a Design Proposal** - A design document is created using the [template](TEMPLATE.md).
3. **Design Reviews** - A design document should be submitted as a pull request to the `docs/design/` directory. Review and merging works just like any other PR.
